Bug 1388395 - [abrt] ibus: bus_dbus_impl_name_owner_changed(): ibus-daemon killed by SIGABRT: TAINTED
Summary: [abrt] ibus: bus_dbus_impl_name_owner_changed(): ibus-daemon killed by SIGABR...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e0e3ecd0df50ca837b492db20e2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-25 08:51 UTC by Han Han
Modified: 2018-07-23 09:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-23 09:14:21 UTC


Attachments (Terms of Use)
File: backtrace (17.71 KB, text/plain)
2016-10-25 08:51 UTC, Han Han
no flags Details
File: cgroup (259 bytes, text/plain)
2016-10-25 08:51 UTC, Han Han
no flags Details
File: core_backtrace (5.31 KB, text/plain)
2016-10-25 08:51 UTC, Han Han
no flags Details
File: dso_list (3.71 KB, text/plain)
2016-10-25 08:51 UTC, Han Han
no flags Details
File: environ (1.26 KB, text/plain)
2016-10-25 08:51 UTC, Han Han
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-25 08:51 UTC, Han Han
no flags Details
File: maps (13.80 KB, text/plain)
2016-10-25 08:51 UTC, Han Han
no flags Details
File: mountinfo (3.27 KB, text/plain)
2016-10-25 08:51 UTC, Han Han
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-25 08:51 UTC, Han Han
no flags Details
File: open_fds (1.50 KB, text/plain)
2016-10-25 08:51 UTC, Han Han
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-10-25 08:51 UTC, Han Han
no flags Details
File: var_log_messages (244 bytes, text/plain)
2016-10-25 08:51 UTC, Han Han
no flags Details

Description Han Han 2016-10-25 08:51:08 UTC
Description of problem:


Version-Release number of selected component:
ibus-1.5.14-3.fc26

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/ibus-daemon -r --xim
crash_function: bus_dbus_impl_name_owner_changed
executable:     /usr/bin/ibus-daemon
global_pid:     3509
kernel:         4.8.0-0.rc6.git0.1.fc26.x86_64+debug
pkg_fingerprint: 812A 6B4B 64DA B85D
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #4 bus_dbus_impl_name_owner_changed at dbusimpl.c:1242
 #9 bus_name_service_set_primary_owner at dbusimpl.c:368
 #10 bus_dbus_impl_request_name at dbusimpl.c:1076
 #11 call_in_idle_cb at gdbusconnection.c:4836
 #17 bus_server_run at server.c:143

Potential duplicate: bug 1374611

Comment 1 Han Han 2016-10-25 08:51:16 UTC
Created attachment 1213757 [details]
File: backtrace

Comment 2 Han Han 2016-10-25 08:51:18 UTC
Created attachment 1213758 [details]
File: cgroup

Comment 3 Han Han 2016-10-25 08:51:20 UTC
Created attachment 1213759 [details]
File: core_backtrace

Comment 4 Han Han 2016-10-25 08:51:22 UTC
Created attachment 1213760 [details]
File: dso_list

Comment 5 Han Han 2016-10-25 08:51:24 UTC
Created attachment 1213761 [details]
File: environ

Comment 6 Han Han 2016-10-25 08:51:26 UTC
Created attachment 1213762 [details]
File: limits

Comment 7 Han Han 2016-10-25 08:51:29 UTC
Created attachment 1213763 [details]
File: maps

Comment 8 Han Han 2016-10-25 08:51:31 UTC
Created attachment 1213764 [details]
File: mountinfo

Comment 9 Han Han 2016-10-25 08:51:32 UTC
Created attachment 1213765 [details]
File: namespaces

Comment 10 Han Han 2016-10-25 08:51:34 UTC
Created attachment 1213766 [details]
File: open_fds

Comment 11 Han Han 2016-10-25 08:51:36 UTC
Created attachment 1213767 [details]
File: proc_pid_status

Comment 12 Han Han 2016-10-25 08:51:37 UTC
Created attachment 1213768 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-02-28 10:30:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 14 Krishna Babu K 2018-02-28 15:07:35 UTC
Verified on f27, could not reproduce the issue

$ rpm -qa | grep ibus-1
ibus-1.5.17-6.fc27.x86_64

$ ibus-daemon -d -r --xim
$

$ echo $?
0

Comment 15 Pooja Yadav 2018-07-23 09:14:21 UTC
Tested on F28, issue not reproducible.
If found again, please re-open the same.
Version used for testing:
ibus-1.5.18-4.fc28.x86_64

Therefore closing it.


Note You need to log in before you can comment on or make changes to this bug.